Subject: Re: [bug#71697] [PATCH v3 2/2] scripts: lint: Honor package property to exclude checkers.

From: Simon Tournier <[email-masked]>
Date: Fri, 12 Jul 2024 15:36:03 +0200

Hi Dale,

On Sun, 30 Jun 2024 at 15:48, Dale Mellor <[email-masked]> wrote:

>   Original, original poster here (I'm feeling pretty awkward right now TBH, like
> a bad shit-stirrer).  The point is that I use GUIX to support my own, private
> projects.  It is nothing to do with licensing, I'm the only one who has ever
> seen the code.  In this context it is unacceptable that GUIX should give it away
> to anyone.

Well, from my understanding, the general case for packages included in
Guix proper is to run all checkers.

Then, my willing with this patch submission is to address side projects,
as you are pointing.  The first answer is: it’s not a problem because
“guix lint” offers the option “--exclude”.  However, as you mentioned,
it’s easy to forget and… bang.  Hence, the patch set as mitigation for
public side projects using Guix:

 + Have a --dry-run option
 + Exclude lint checkers at the package definition level
 + Still have the option --exclude option

I think, having these 3 features addresses the case of public side
projects.

Cheers,
simon